Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 16 May 2021 09:43:25 +0000

Hi Mohammed Altahir,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I had placed an order 7458839754 and I received a complete wrong order .. today the product was picked up..

I received an order from HomeCentre not Max..

Kindly look into the same and do the needful.. I thought someone had sent me a gift ... I contacted ur team for details later I got to know that the order was placed from my credit card.. but that order was not delivered https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2584732